MAKEPKG(8)

NOM
makepkg - crée des paquets Slackware

SYNOPSIS
makepkg [ -l, --linkadd y|n ] [ -c, --chown y|n ] nomdepaquet

DESCRIPTION
makepkg crée un nouveau paquet compatible Slackware. Le paquet est créé en utilisant le contenu du répertoire courant et de tous ses sous-répertoires. Si des liens symboliques existent, ils seront convertis en instructions de script pour les re-créer lors de l'installation du paquet. Ces instruction seront inclues dans le script principal d'installation (install/doinst.sh), créé à cet effet s'il n'existe pas encore. Le paquet créé aura pour nom de fichier nomdepaquet, nom complet incluant l'extension (habituellement .tgz mais .tbz, .tlz et .txz sont aussi acceptées). L'utilitaire de compression approprié (respectivement gzip, bzip2, lzma ou xz) devra être installé sur la machine.

OPTIONS

-l, --linkadd y|n
    Si cette option a la valeur y (pour "yes" ou "oui"), on ajoute au script d'installation (doinst.sh) tous les liens symboliques trouvés et on les efface de l'arborescence. Cette action est recommandée. Si elle n'est pas utilisée, "makepkg" demandera quoi faire pour chaque lien symbolique.

-p, --prepend
    Si cette option est utilisée, tout lien symbolique ajouté à doinst.sh sera ajouté en tête du script existant. Ceci est utile pour les paquets qui contiennent des bibliothèques partagées, lesquelles doivent être liées avant que des programmes y fassent référence dans ce script.

-c, --chown y|n
    Si cette option a la valeur y (pour "yes" ou "oui"), makepkg fixera toutes les permissions des fichiers à 755 et les propriétaires à root:root. En général vous devriez avoir défini ces valeurs vous-même, aussi s'appuyer sur cette option pour le faire est en quelque sorte le signe d'un manque de soin. Ce n'est pas la valeur par défaut. Si cette option n'est pas utilisée, makepkg vous posera la question.

SCRIPTS D'INSTALLATION
Le système de gestion des paquets Slackware supporte trois types de scripts d'installation.

Le premier est le
    script d'installation principal. Il se trouve dans le sous-répertoire ./install et doit être nommé doinst.sh pour être reconnu. Comme les autres scripts d'installation, il devrait être écrit en utilisant seulement la syntaxe du shell Bourne de base (reconnue par le shell ash), car il sera utilisé pour exécuter le script lors d'une installation depuis une disquette. C'est un piège courant - gardez-vous d'utiliser les extensions de syntaxe de bash, car le script fonctionnera bien dans le cas d'une installation à partir d'un disque dur, mais échouera lors d'une installation depuis une disquette. Ce n'est pas un problème si le paquet est destiné à une utilisation personnelle. Soyez prudent en revanche si vous envisagez de partager le paquet avec d'autres utilisateurs. Le script d'installation principal est exécuté immédiatement après l'installation du paquet à l'aide d'une des commandes installpkg, pkgtool, or setup.

Le second type de script est le
    script de configuration. Il se trouve dans le sous-répertoire ./var/log/setup et son nom doit commencer par setup. pour qu'il soit reconnu. Un exemple est le script de sélection du fuseau horaire : /var/log/setup/setup.timeconfig. Ces scripts sont exécutés pendant la phase CONFIGURE de setup, à la fin de l'installation et sont ré-exécutés chaque fois que l'utilisateur utilise de nouveau l'option CONFIGURE de setup. Typiquement, l'utilisateur parcourra cette phase après l'installation de tous les paquets. Tout ce qui a besoin d'interaction avec l'utilisateur devrait aller dans un de ces scripts pour éviter d'interrompre l'installation des paquets durant l'exécution de setup.

Le troisième type de script est le
    script onlyonce. Comme le nom l'indique, il est exécuté une seule fois après l'installation du paquet, en contraste avec les scripts de configuration standard. Ces scripts se trouvent dans le répertoire ./var/log/setup et doivent avoir un nom commençant par setup., mais en outre le nom doit comporter la chaîne de caractères onlyonce. : par exemple un script nommé /var/log/setup/setup.onlyonce.scriptdetest

FORMAT DU PAQUET
makepkg utilise les utilitaires GNU tar et GNU gzip pour créer les paquets. Une manière simple d'extraire le contenu d"un paquet (sans exécuter les scripts d'installation, bien sûr) serait d'utiliser une commande comme :

explodepkg paquet.tgz

Ou quelque chose comme ceci:

gzip -dc paquet.tgz | tar xvvf -

AUTEUR
Patrick J. Volkerding <volkerdi@slackware.com>

VOIR AUSSI
installpkg(8), explodepkg(8), removepkg(8), pkgtool(8), upgradepkg(8)